Bug 9827 - Remove 'insecure' system preference
Summary: Remove 'insecure' system preference
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-16 06:21 UTC by Bernardo Gonzalez Kriegel
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9827: remove 'insecure' system preference (10.70 KB, patch)
2013-03-16 06:46 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9827: remove 'insecure' system preference (10.80 KB, patch)
2013-03-16 15:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 9827: remove 'insecure' system preference (11.81 KB, patch)
2013-03-18 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2013-03-16 06:21:19 UTC
'insecure' system preference must be removed.

Functionality enabled by this system preference is broken.
In case that is set to Allow, staff login is not possible
any more.

Related to Bug 9562
Comment 1 Bernardo Gonzalez Kriegel 2013-03-16 06:46:04 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-03-16 15:49:12 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-18 09:36:50 UTC
QA comment:

This patch removes the insecure syspref.
The 'insecure' behavior is not well implemented and some scripts raise an error if enabled.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-18 09:37:06 UTC
Created attachment 16211 [details] [review]
Bug 9827: remove 'insecure' system preference

This patch removes 'insecure' system preference.

Also removes remaining code that make use of
the preference. It's broken anyway.

Only remains a reference in POD of C4/Boolean.pm

To test:
1) If you like, enable 'insecure' syspref. Broken system.
WARN: be prepared to revert value in database.

2) Apply the patch

3) Run updatedatabase.pl

4) Check that Staff login proceeds as usual.

5) Check that 'insecure' syspref is no more.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Remove 2 occurrences of insecure (in comment only)
Comment 5 Jared Camins-Esakov 2013-03-20 01:50:01 UTC
This patch has been pushed to master.